function init(hero) {
    hero.setName("Punisher /MCU");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.head");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:chronos_rifle");

    hero.addPowers("cwheropack:mod_suit");
    hero.addAttribute("FALL_RESISTANCE", 2.1, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.25, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.3, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.0, 0);
    
    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("SUIT_MOD", "Mod kill", 5);
    
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_CHRONOS_RIFLE";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle";
}
